summaryrefslogtreecommitdiffstats
path: root/debian/vim-runtime.postrm.in
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 08:50:33 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 08:50:33 +0000
commit1333020b904a8714d01f4ae4789c5070e8ff90f2 (patch)
tree338ef4570c790f46661f010deeebaaecc58c9bbc /debian/vim-runtime.postrm.in
parentAdding upstream version 2:9.0.1378. (diff)
downloadvim-1333020b904a8714d01f4ae4789c5070e8ff90f2.tar.xz
vim-1333020b904a8714d01f4ae4789c5070e8ff90f2.zip
Adding debian version 2:9.0.1378-2.debian/2%9.0.1378-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/vim-runtime.postrm.in')
-rw-r--r--debian/vim-runtime.postrm.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/vim-runtime.postrm.in b/debian/vim-runtime.postrm.in
new file mode 100644
index 0000000..6536648
--- /dev/null
+++ b/debian/vim-runtime.postrm.in
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+
+vimcur="@VIMCUR@"
+basedir=/usr/share/vim/$vimcur/doc
+
+rm_diversion() {
+ dpkg-divert --package vim-runtime --rename --remove "$1"
+}
+
+# When upgrading to a new major upstream release, we need to remove the old
+# vim-tiny help(tags) diversions
+major_upgrade() {
+ newver="${1#?:}"
+ newver="vim$(echo ${newver%.*-*} | sed 's/\.//g')"
+ [ "$newver" != "$vimcur" ]
+}
+
+rm -f /usr/share/vim/addons/doc/tags
+if [ "$1" = "remove" -o "$1" = "abort-install" -o "$1" = "disappear" ] \
+ || ([ "$1" = "upgrade" ] && major_upgrade $2); then
+ rm_diversion $basedir/help.txt
+ rm_diversion $basedir/tags
+fi
+
+#DEBHELPER#
+
+exit 0